Subject: [Dime] Review of DOIC security section

From: Steve Donovan <[email-masked]>
Date: Mon, 03 Nov 2014 08:27:41 -0600

All,

I have the following comments/questions from a review of the security 
section in the -04 version of the DOIC draft.  In general, the section 
looks good, with possible changes needed for the following comments:

Section 9.1 - paragraph 5 - The Realm report attack would require the 
Origin-Realm in an answer to be different than the Destination-Realm in 
the request.   To protect against this nodes should validate the routing 
headers in answer messages.  This is already addressed in the previous 
paragraph on validating that an answer is properly constructed.  It 
might be good to emphasize the need for making sure the answer message 
is properly constructed for this threat model as well.

Section 9.3 -  Should we add that with the loss algorithm there is no 
effective way for a reporting node to know if a reduction has been 
applied by reporting nodes?

Regards,

Steve